Create Page Relationship
POST /api/creative/lore/entries/{entry_id}/relationships
POST
/api/creative/lore/entries/{entry_id}/relationships
Create a user-defined relationship from this entry to another.
Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” entry_id
required
Entry Id
string
Request Body required
Section titled “Request Body required ” LorePageRelationshipCreate
Request to create a relationship between lore entries.
object
targetEntryId
required
Targetentryid
Target lore entry ID
string
relationshipType
required
Relationshiptype
Relationship label: lowercase letters, digits, and underscores only; must start with a letter (e.g. homeland, ally, patron_deity)
string
weight
Weight
Relationship strength/importance
number
Responses
Section titled “ Responses ”Successful Response
LorePageRelationshipResponse
Response for a single relationship between lore entries.
object
id
required
Id
string
projectId
required
Projectid
string
sourceEntryId
required
Sourceentryid
string
targetEntryId
required
Targetentryid
string
relationshipType
required
Relationshiptype
string
weight
Weight
number
isAuto
Isauto
boolean
sourceTitle
Sourcetitle
string
sourceEntryType
Sourceentrytype
string
targetTitle
Targettitle
string
targetEntryType
Targetentrytype
string
createdAt
required
Createdat
integer
modifiedAt
required
Modifiedat
integer
Validation Error
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context